Page MenuHomePhabricator

Fatal error at https://en.wikipedia.org/wiki/Special:Notifications
Closed, ResolvedPublic

Description

Logged-in and trying to reach https://en.wikipedia.org/wiki/Special:Notifications currently results in a fatal error:

PHP fatal error in /usr/local/apache/common-local/php-1.23wmf11/extensions/Echo/formatters/NotificationFormatter.php line 123:
Call to a member function getPrefixedText() on a non-object


Version: master
Severity: major
URL: https://en.wikipedia.org/wiki/Special:Notifications

Details

Reference
bz60985

Event Timeline

bzimport raised the priority of this task from to Unbreak Now!.Nov 22 2014, 3:03 AM
bzimport added a project: Notifications.
bzimport set Reference to bz60985.
bzimport added a subscriber: Unknown Object (MLST).
MZMcBride created this task.Feb 6 2014, 8:57 PM
Reedy added a comment.Feb 6 2014, 8:59 PM

[06-Feb-2014 20:56:46] Fatal error: Call to a member function getPrefixedText() on a non-object at /usr/local/apache/common-local/php-1.23wmf11/extensions/Echo/formatters/NotificationFormatter.php on line 123
Server: mw1057
Method: GET
URL: http://en.wikipedia.org/wiki/Special:Notifications
Backtrace:
#0 /usr/local/apache/common-local/php-1.23wmf11/extensions/Echo/formatters/NotificationFormatter.php(123): EchoNotificationFormatter::formatTitle()
#1 /usr/local/apache/common-local/php-1.23wmf11/extensions/Flow/includes/Notifications/Formatter.php(54): EchoNotificationFormatter->formatTitle(NULL)
#2 /usr/local/apache/common-local/php-1.23wmf11/extensions/Echo/formatters/BasicFormatter.php(647): Flow\NotificationFormatter->processParam(Object(EchoEvent), 'flow-title', Object(Message), Object(User))
#3 /usr/local/apache/common-local/php-1.23wmf11/extensions/Echo/formatters/BasicFormatter.php(361): EchoBasicFormatter->processParams(Array, Object(EchoEvent), Object(Message), Object(User))
#4 /usr/local/apache/common-local/php-1.23wmf11/extensions/Echo/formatters/BasicFormatter.php(262): EchoBasicFormatter->formatFragment(Array, Object(EchoEvent), Object(User))
#5 /usr/local/apache/common-local/php-1.23wmf11/extensions/Echo/formatters/BasicFormatter.php(222): EchoBasicFormatter->formatNotificationTitle(Object(EchoEvent), Object(User))
#6 /usr/local/apache/common-local/php-1.23wmf11/extensions/Echo/controller/NotificationController.php(336): EchoBasicFormatter->format(Object(EchoEvent), Object(User), 'web')
#7 /usr/local/apache/common-local/php-1.23wmf11/extensions/Echo/api/ApiEchoNotifications.php(144): EchoNotificationController::formatNotification(Object(EchoEvent), Object(User), 'html')
#8 /usr/local/apache/common-local/php-1.23wmf11/extensions/Echo/special/SpecialNotifications.php(41): ApiEchoNotifications::getNotifications(Object(User), 'html', 21, NULL)
#9 /usr/local/apache/common-local/php-1.23wmf11/includes/specialpage/SpecialPage.php(374): SpecialNotifications->execute(NULL)
#10 /usr/local/apache/common-local/php-1.23wmf11/includes/SpecialPageFactory.php(487): SpecialPage->run(NULL)
#11 /usr/local/apache/common-local/php-1.23wmf11/includes/Wiki.php(298): SpecialPageFactory::executePath(Object(Title), Object(RequestContext))
#12 /usr/local/apache/common-local/php-1.23wmf11/includes/Wiki.php(599): MediaWiki->performRequest()
#13 /usr/local/apache/common-local/php-1.23wmf11/includes/Wiki.php(460): MediaWiki->main()
#14 /usr/local/apache/common-local/php-1.23wmf11/index.php(49): MediaWiki->run()
#15 /usr/local/apache/common-local/w/index.php(3): require('/usr/local/apac...')
#16 {main}

  • Bug 60987 has been marked as a duplicate of this bug. ***

Change 111891 had a related patch set uploaded by EBernhardson:
Invalid passed arguments should be catchable, not fatal

https://gerrit.wikimedia.org/r/111891

Change 111891 merged by jenkins-bot:
Invalid passed arguments should be catchable, not fatal

https://gerrit.wikimedia.org/r/111891

Change 111892 had a related patch set uploaded by Legoktm:
Invalid passed arguments should be catchable, not fatal

https://gerrit.wikimedia.org/r/111892

Change 111893 had a related patch set uploaded by Legoktm:
Invalid passed arguments should be catchable, not fatal

https://gerrit.wikimedia.org/r/111893

Change 111894 had a related patch set uploaded by Legoktm:
Invalid passed arguments should be catchable, not fatal

https://gerrit.wikimedia.org/r/111894

Change 111892 abandoned by EBernhardson:
Invalid passed arguments should be catchable, not fatal

Reason:
wmf11 is no longer deployed to any prod wiki

https://gerrit.wikimedia.org/r/111892

Change 111893 merged by jenkins-bot:
Invalid passed arguments should be catchable, not fatal

https://gerrit.wikimedia.org/r/111893

Change 111894 merged by jenkins-bot:
Invalid passed arguments should be catchable, not fatal

https://gerrit.wikimedia.org/r/111894

All patches for all deployed branches merged - closing as FIXED.

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptJan 28 2016, 5:57 PM
Ironholds set Security to None.Jan 29 2016, 2:52 PM
Ironholds removed a subscriber: Ironholds.